	.386
	.model	use32 small
	extrn	allerr : proc, negeerr : proc
	public	_log10
	.data

nm	db	"log10",0

	.code

_log10:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+16]
	fldlg2
	fld	qword ptr [ecx]
	fyl2x
	lea	eax,[nm]
	fld	qword ptr [ecx]
	call	negeerr
	leave
	ret
	end